﻿using System.Windows;
using System.Windows.Browser;
using System.Windows.Controls;

namespace SilverlightApplication2
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			// Get the IFrame from the HtmlPresenter 
			HtmlElement iframe = (HtmlElement)htmlPlaceholder.HtmlPresenter.Children[0];
			// Set an ID to the IFrame so that can be used later when calling the javascript 
			iframe.SetAttribute("id", "myIFrame");
		}

		private void Refresh_Click(object sender, RoutedEventArgs e)
		{
			// Code to be executed 
			string code = "document.getElementById('myIFrame').contentWindow.location.reload(true);";
			HtmlPage.Window.Eval(code); 
		}

		private void Back_Click(object sender, RoutedEventArgs e)
		{
			// Code to be executed 
			string code = "document.getElementById('myIFrame').contentWindow.history.back();";
			HtmlPage.Window.Eval(code); 
		}

		private void Forward_Click(object sender, RoutedEventArgs e)
		{
			// Code to be executed 
			string code = "document.getElementById('myIFrame').contentWindow.history.forward();";
			HtmlPage.Window.Eval(code); 
		}
	}
}
